Loading...
Searching...
No Matches
generic_encoder.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/fec/api.h>`
`#include <gnuradio/logger.h>`
`#include <memory>`
Include dependency graph for generic_encoder.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | gr::fec::generic_encoder

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::fec

## Functions

FEC_API int | gr::fec::get_encoder_output_size (generic_encoder::sptr my_encoder)
FEC_API int | gr::fec::get_encoder_input_size (generic_encoder::sptr my_encoder)
FEC_API const char * | gr::fec::get_encoder_input_conversion (generic_encoder::sptr my_encoder)
FEC_API const char * | gr::fec::get_encoder_output_conversion (generic_encoder::sptr my_encoder)